Subject: Re: bug#41496: 28.0.50; When accessing sshd via Tramp via Termux on Android: File error: Couldn't find a proper `ls' command

From: Jean Louis <[email-masked]>
Date: Sun, 24 May 2020 17:46:15 +0300

* Michael Albinus <[email-masked]> [2020-05-24 11:49]:
> Jean Louis <[email-masked]> writes:
> 
> Hi,
> 
> > $ which ls
> > /data/data/com.termux/files/usr/bin/ls
> >
> > Thus ls is there and is working so far, it is from coreutils, not from
> > busybox. The busybox version did not work.
> 
> I guess you need to add that directory to your remote PATH. See variable
> `tramp-remote-path'.

Thank you, I did change that, and I still get the same error.

If I start emacs -Q, then I can login, it works well, provided I have
changed that path.

Do you know maybe how can I debug that? I need my Emacs settings and
with it, I get this same error.

I have no other options set for tramp, and still same error.

Jean

tramp-remote-path is a variable defined in ‘tramp-sh.el’.
Its value is
(tramp-default-remote-path "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin" "/data/data/com.termux/files/usr/bin")
Original value was 
(tramp-default-remote-path "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin")